Subject: bug#23436: [PATCH] Attemp to use the true name of a file to determine responsible vc if the genuine name does not work.

From: Hong Xu <[email-masked]>
Date: Tue, 25 Oct 2016 12:05:49 -0700

On Mon, Oct 24 2016, Dmitry Gutov <[email-masked]> wrote:

> On 21.10.2016 02:04, Hong Xu wrote:
>
>> Sorry for the confusion. Either keeping what it was or adding a new
>> command [which essentially calls (vc-responsible-backend (vc-follow-link
>> file)) ] would be the best option regarding performance.
>
> Shouldn't the command call find-alternate-file instead? Then you can 
> continue working with buffer-file-name and default-directory inside the 
> symlink target directory. And if you visit any nearby files there, you 
> won't have to call the vc-follow-link for each of them again?
>
> What are the downsides to this approach?

I don't understand why find-alternate-file should be used. The reason we
used (vc-follow-link) is to pass the correct file path to
vc-responsible-backend. I don't see how find-alternate-file can be used here.

>
>> e need to
>> clarify that symlinks are not followed in vc-responsible-backend, and If
>> the first option is adopted, mention that vc-follow-link should be used
>> if link following is desired.
>
> OK, mention where?

In the doc string.  Maybe we should also mention `vc-responsible-backend'
in the info doc "Supported Version Control Systems" in general.